From: [email-masked]
Date: Tue, 20 Sep 94 13:51:51 CDT

thanks to al 
    I am sorry, the mail system behaves really strange today, I don't
know what the sys admin did to it.  I apologize again for the junk mail.
I just want to thank al l of you guys who replied to my message.
So it (form I-181B) seems to be the final notice from my local ISNS
office.  But since I need to have my address changed, do I need to call
the INS office or the facility in Texas? (the INS office did give me 
an address change form , though) I aasked this 'cause I heard people
say we need to call Texas directly for address change.

Ok, thanks again, and best wishes to all of you.

>L.L.